PlatformContainer (Gradle API 8.11)

Package org.gradle.platform.base

## Interface PlatformContainer

- All Superinterfaces:
    `java.util.Collection<Platform>`, `Configurable<NamedDomainObjectContainer<Platform>>`, `DomainObjectCollection<Platform>`, `DomainObjectSet<Platform>`, `ExtensiblePolymorphicDomainObjectContainer<Platform>`, `java.lang.Iterable<Platform>`, `NamedDomainObjectCollection<Platform>`, `NamedDomainObjectContainer<Platform>`, `org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry<Platform>`, `NamedDomainObjectSet<Platform>`, `PolymorphicDomainObjectContainer<Platform>`, `java.util.Set<Platform>`

      @Incubating
      public interface PlatformContainer
      extends ExtensiblePolymorphicDomainObjectContainer<Platform>

  A container of `Platform`s.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerFactory, registerFactory`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`